[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBLookupListBox.Create

Constructor for the class instance.

## Declaration

Source position: dbctrls.pp line 492

`public constructor TDBLookupListBox.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance. Create calls the inherited constructor, and allocates resources needed for the lookup dataset used in the control. Create sets the default values for properties, and assigns the OnActiveChange event handler used for the linked dataset where the selected value is stored.

## See also

TCustomDBListBox.Create |  | Constructor for the class instance.
TFieldDataLink.OnActiveChange |  | OnActiveChange - event handler for a change in the Active property.
TDBLookup |  | TDBLookup - used as source of data by TDBLookupListBox or TDBLookupComboBox, to find data from a lookup table.